%define major 1
%define libname %mklibname numa %{major}
%define devname %mklibname numa -d

Summary:	Simple NUMA policy support
Name:		numactl
Version:	2.0.11
Release:	1
License:	LGPLv2/GPLv2
Group:		System/Configuration/Hardware
Url:		ftp://oss.sgi.com/www/projects/libnuma/download
Source0:	ftp://oss.sgi.com/www/projects/libnuma/download/%{name}-%{version}.tar.gz
ExclusiveArch:	%{ix86} x86_64 ia64

%description
This package contains the `numactl' program to run other programs with
a specific NUMA policy.

%files
%doc README CHANGES
%{_bindir}/memhog
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/migratepages
%{_bindir}/migspeed
%{_mandir}/man8/*.8*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Runtime libraries for NUMA policy support
Group:		System/Libraries

%description -n %{libname}
This package contains the dynamic libraries for NUMA policy support.

%files -n %{libname}
%{_libdir}/libnuma.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers and libraries for NUMA policy
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	numa-devel = %{EVRD}

%description -n %{devname}
This package contains headers and libraries useful for developing
applications using different NUMA policies.

%files -n %{devname}
%{_libdir}/libnuma.so
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_mandir}/man3/numa.3*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# To avoid conflicts with man-pages
rm -rf %{buildroot}%{_mandir}/man2/move_pages.2*

%changelog

* Tue Dec 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.11-1
- (5c0d5f4) New version 2.0.11
- (5c0d5f4) Don't build static library


